$(function () {
    $("#example1").DataTable({
        "responsive": true, "lengthChange": false, "autoWidth": false,
        "buttons": ["copy", "csv", "excel", "pdf", "print", "colvis"]
    }).buttons().container().appendTo('#example1_wrapper .col-md-6:eq(0)');
    $('#example2').DataTable({
        "paging": true,
        "lengthChange": false,
        "searching": false,
        "ordering": true,
        "info": true,
        "autoWidth": false,
        "responsive": true,
    });
    $("#formMatricula").on("submit", function (e) {
        guardaryactualizarMatricula(e);
    });
});

$(document).ready(function () {
    $('#matricula-data').DataTable({
        "aProcessing": true,
        "aServerSide": true,
        dom: 'Bfrtip',
        buttons: [
            'copyHtml5',
            'excelHtml5',
            'csvHtml5',
            'pdfHtml5',
            'print',
            'colvis'
        ],
        "ajax": {
            url: "../../controller/matricula.php?op=listar&fil=dt",
            type: "post"
        },
        "bDestroy": true,
        "responsive": true,
        "bInfo": true,
        "iDisplayLength": 20,
        "order": [[0, "desc"]],
        "language": {
            "sProcessing": "Procesando...",
            "sLengthMenu": "Mostrar _MENU_ registros",
            "sZeroRecords": "No se encontraron resultados",
            "sEmptyTable": "Ningun dato disponible en esta tabla",
            "sInfo": "Mostrando registro del _START_ al _END_ de un total de _TOTAL_ registros",
            "sInfoEmpty": "Mostrando registros del 0 al 0 de un total de 0 registros",
            "sInfoFiltered": "(filtrado de un total de _MAX_ registros)",
            "sInfoPostFix": "",
            "sSearch": "Buscar:",
            "sUrl": "",
            "sInfoThousands": ",",
            "sLoadingRecords": "Cargando...",
            "oPaginate": {
                "sFirst": "Primero",
                "sLast": "Ultimo",
                "sNext": "Siguiente",
                "sPrevious": "Anterior"
            },
            "oAria": {
                "sSortAscending": ": Activar para ordenar la columna de manera ascendente",
                "sSortDescending": ": Activar para ordenar la columna de manera descendente"
            }
        },
    });    
    combo_Carrera();
    combo_Estudiante();
    combo_Tipo();
});
function combo_Carrera() {
    $.post("../../controller/carrera.php?op=comboCarrera", function (data) {
        $('#codcar').html(data);
    });
}
function combo_Estudiante() {
    $.post("../../controller/persona.php?op=comboEstudiante", function (data) {
        $('#estudiante').html(data);
    });
}
function combo_Tipo() {
    $.post("../../controller/catalogo.php?op=tipoMatricula", function (data) {
        $('#tipo').html(data);
    });
}
function editar(matriculadbk) {
    $.post("../../controller/matricula.php?op=consultar_matricula", {matriculadbk: matriculadbk}, function (data) {
        data = JSON.parse(data);
        $('#matriculadbk').val(data.matriculadbk)
        $('#carrera').val(data.carrera).trigger("change");
        $('#itinerario').val(data.itinerario).trigger("change");
        $('#estudiante').val(data.estudiante).trigger("change");
        $('#fecha').val(data.fecha);
        $('#tipo').val(data.tipo).trigger("change");
    });
    $('#lblTitulo').html('Editar Matrícula');
    $('#mantenimiento').modal('show');
}
function guardaryactualizarMatricula(e) {
    e.preventDefault();
    var formData = new FormData($("#formMatricula")[0]);
    $.ajax({
        url: '../../controller/matricula.php?op=guardar',
        type: "POST",
        data: formData,
        contentType: false,
        processData: false,
        success: function (data) {
            $('#matricula-data').DataTable().ajax.reload();
            $('#mantenimiento').modal('hide');
            Swal.fire({
                title: 'Operacion Exitosa',
                text: 'La información se ha guardada satisfactoriamente',
                icon: 'success',
                confirmButtonText: 'Aceptar'
            })
        }
    });
}

function nuevo() {
    $('#matriculadbk').val('');
    $('#codcar').val('').trigger('change');
    $('#itinerario').val('').trigger('change');
    $('#estudiante').val('').trigger('change');
    $('#fecha').val('');
    $('#tipo').val('').trigger('change');
    $('#lblTitulo').html('Nuevo Registro');
    $('#formMatricula')[0].reset();
    $('#mantenimiento').modal('show');
}

function asignar(matriculadbk) {
    //window.location = "https://localhost/sied/view/Matricula/detalle.php?m=" + matriculadbk;
    window.location = "https://cemlad.org/sied/view/Matricula/detalle.php?m=" + matriculadbk;
}

function eliminar(matriculadbk) {
    swal.fire({
        title: "Eliminar",
        text: "Desea Eliminar el Registro de manera definitiva",
        icon: "error",
        confirmButtonText: "Si",
        showCancelButton: true,
        cancelButtonText: "No",
    }).then((result) => {
        if (result.value) {
            $.post("../../controller/matricula.php?op=eliminar_matricula", {matriculadbk: matriculadbk}, function (data) {
                $('#matricula-data').DataTable().ajax.reload();
                Swal.fire({
                    title: 'Operacion Exitosa',
                    text: 'El registro se elimino correctamente',
                    icon: 'success',
                    confirmButtonText: 'Aceptar'
                })
            });
        }
    });
}